<?php
	require_once("../../includes/bootstrap.php");
	$sesion=new sesion();
	$academia=bootstrap::initBd($sesion->get('anio'));
	/** Error reporting */
	error_reporting(E_ALL); 
	ini_set('display_errors', FALSE);  
	ini_set('display_startup_errors', TRUE);
	date_default_timezone_set('Europe/London');
	
	if (PHP_SAPI == 'cli')
		die('This example should only be run from a Web Browser');
	
	/** Include PHPExcel */
	require_once("../../includes/phpExcel/PHPExcel.php");
	$nombre_grupo=$sesion->getVar('configuracion.nombres_grupos');
	
	// Create new PHPExcel object
	$objPHPExcel = new PHPExcel();
	
	// Set document properties
	$objPHPExcel->getProperties()->setCreator("Academia Web")
								 ->setLastModifiedBy("Maarten Balliauw")
								 ->setTitle("Office 2007 XLSX Test Document")
								 ->setSubject("Office 2007 XLSX Test Document")
								 ->setDescription("Carga Academica Por Cada Docente")
								 ->setKeywords("Academia 2013")
								 ->setCategory("Reportes");
	// Add some data

	$i=0;
	$configuracion=$sesion->get('configuracion');

$nombre_grupo=$configuracion['nombres_grupos']; 

$opcion = $_GET['ob_radio']; /*= 1*/
$orientacion=$_GET['ob_orientacion'];
$tamano=$_GET['ob_tamano'];
$margenes=$_GET['ob_margenes'];
$retirado=$_GET['retirado'];

//$tipo_listado=$cleguaje->Phrase('listados','tipo_notas');
$codgrupo=$_GET['codgru']; 
if ($retirado<>'on'){
	$cond='and aca_estudiantes.matriculado="S" and aca_estudiantes.estado_est="1"';
}

	$sql="SELECT distinct LCASE(aca_asignaturas.nom_asi) AS nom_asi FROM     aca_asignaturasxgrupos INNER JOIN aca_asignaturas ON (aca_asignaturasxgrupos.cod_asi = aca_asignaturas.cod_asi) where aca_asignaturasxgrupos.cod_grupo= $codgrupo";

	$academia->instruccion($sql);
	$dtsMat=$academia->fetchAll();
	$academia->liberar();
	
	$sql="SELECT CONCAT_WS(' ', aca_estudiantes.apellido1_est, aca_estudiantes.apellido2_est, aca_estudiantes.nombre1_est, aca_estudiantes.nombre2_est) AS nombre
    , aca_estudiantes.fecharetiro_est
    , if (aca_estudiantes.matriculado='S','Sí','No') as matriculado
	, if (aca_estudiantes.estado_est='1','Sí','No') as estado
FROM aca_estudiantesxgrupos
    INNER JOIN aca_estudiantes 
        ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)
	WHERE aca_estudiantesxgrupos.cod_grupo =$codgrupo $cond order by nombre";
	
	$academia->instruccion($sql);
	
	$hojaActiva=$objPHPExcel->getActiveSheet();
	$dtsColegio=$sesion->get('info_colegio');
	$hojaActiva->setCellValue('A1', $dtsColegio['nombre']);
	$hojaActiva->setCellValue('A3', "Sede ".  $_GET['sede']);
	$hojaActiva->setCellValue('A2', $_GET['grado']  . " " . $_GET['grupo']  . "  - Jornada " . $_GET['jorn']);
	$hojaActiva->setCellValue('A3', 'Registro de valoraciones' );
	$numeroMaterias=count($dtsMat);
	$hojaActiva->mergeCells('A1:'.$dtsLang['mod_forma_nom_cel'][$numeroMaterias+1].'1');
	$hojaActiva->mergeCells('A2:'.$dtsLang['mod_forma_nom_cel'][$numeroMaterias+1].'2');
	$hojaActiva->mergeCells('A3:'.$dtsLang['mod_forma_nom_cel'][$numeroMaterias+1].'3');
	$hojaActiva->getStyle('A1:'.$dtsLang['mod_forma_nom_cel'][$numeroMaterias+1].'3')->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
	$hojaActiva->getStyle('A1:'.$dtsLang['mod_forma_nom_cel'][$numeroMaterias+1].'3')->getFont()->setBold(true);
	
	$fil=6;
	$auxFil=$fil;
	
	
	$objDrawing = new PHPExcel_Worksheet_Drawing();
	$objDrawing->setName('Logo');
	$objDrawing->setDescription('Logo');
	$objDrawing->setPath('../../images/logo_colegio.png');
	$objDrawing->setCoordinates('A1');
	$objDrawing->setOffsetX(110);
//	$objDrawing->setRotation(25);
	$objDrawing->setHeight(100);
	$objDrawing->setWorksheet($hojaActiva);
	unset($objDrawing);
	
	
	
	$hojaActiva->setCellValue('A'.$fil, 'N°');
	$hojaActiva->setCellValue('B'.$fil, 'Nombres y Apellidos');
	$colMat=2;
	$auxColmat=$colMat;
	
	$styleArrayMat=array(
		'alignment' => array(
			'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT,
			'rotation' => 90,
		)
	);
	
	foreach($dtsMat as $rm){
		$hojaActiva->setCellValueByColumnAndRow($colMat++, $fil, ucfirst($rm['nom_asi']));
		$hojaActiva->getColumnDimension($dtsLang['mod_forma_nom_cel'][$colMat-1])->setWidth(6);
	} 
	
	$rango=$dtsLang['mod_forma_nom_cel'][$auxColmat].$fil.':'.$dtsLang['mod_forma_nom_cel'][$colMat].$fil;
	
	$hojaActiva->getStyle($rango)->getFont()->setBold(true);
	$hojaActiva->getStyle($rango)->getAlignment()->setWrapText(true);
	$hojaActiva->getStyle($rango)->applyFromArray($styleArrayMat);
	
	$styleArray = array(
					'borders' => array(
						'outline' => array(
							'style' => PHPExcel_Style_Border::BORDER_MEDIUM,
							'color' => array('argb' => '0000'),
						),
					), 
				);	
	$styleArray1 = array(
					'borders' => array(
						'inside' => array(
							'style' => PHPExcel_Style_Border:: 	BORDER_THIN  ,
							'color' => array('argb' => '0000'),
						),
					),
				);	

	$fil++;
	$cntAnt=$fil;
	$reg=$academia->extraer_registro();
	$aux=$reg['ide_profesor'];
	$sede=$reg['nom_sede'];
	$cont=1;
	do{
		$hojaActiva->setCellValue('A'.$fil, $cont++);
		$hojaActiva->setCellValue('B'.$fil, ucwords($reg['nombre']));
		
		$fil++;
	}while($reg=$academia->extraer_registro());
	

	$hojaActiva->getStyle('A'.$cntAnt.':'.$dtsLang['mod_forma_nom_cel'][$colMat-1].($fil-1))->applyFromArray($styleArray1);
	$hojaActiva->getStyle('A'.$cntAnt.':'.$dtsLang['mod_forma_nom_cel'][$colMat-1].($fil-1))->applyFromArray($styleArray);
	
	$hojaActiva->getStyle('A'.$auxFil.":B".$fil)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
	$hojaActiva->getColumnDimension('A')->setAutoSize(true);
	$hojaActiva->getColumnDimension('B')->setAutoSize(true);
	
	
	$hojaActiva->getPageSetup()->setPrintArea('A1:'.$dtsLang['mod_forma_nom_cel'][$colMat-1].($fil-1)*2);
	$hojaActiva->getPageSetup()->setFitToPage(true);
	$hojaActiva->setShowGridlines(true);

	$hojaActiva->setTitle('Listado de estudiantes');

	$objPHPExcel->setActiveSheetIndex(0); 
	
	$nomdoc="Listado Estudiantes ". $_GET['grado']  . " " . $_GET['grupo']  . "  - Jornada " . $_GET['jorn'] . ".xlsx";
	
	// Redirect output to a client’s web browser (Excel5)
/*	header('Content-Type: application/vnd.ms-excel');
	header('Content-Disposition: attachment;filename="'.$nomdoc.'"');
	header('Cache-Control: max-age=0');
	$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
	$objWriter->save('php://output');*/
	
	header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
	header('Content-Disposition: attachment;filename="'.$nomdoc.'"');
	header('Cache-Control: max-age=0');
	
	$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
	$objWriter->save('php://output');

	unset($objPHPExcel);
	unset($objWriter);
	exit;
?>